package cn.com.infosec.asn1.crmf;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;

public class Controls extends ASN1Encodable {
   private ASN1Sequence content;

   private Controls(ASN1Sequence seq) {
      this.content = seq;
   }

   public static Controls getInstance(Object o) {
      if (o instanceof Controls) {
         return (Controls)o;
      } else if (o instanceof ASN1Sequence) {
         return new Controls((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public AttributeTypeAndValue[] toAttributeTypeAndValueArray() {
      int var1;
      AttributeTypeAndValue[] var2 = new AttributeTypeAndValue[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = AttributeTypeAndValue.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
